

pro ReadHaloCat





base='/mybase/'
ext='myext.halos'

fname=strcompress(base+ext,/remove_all)



nhalo=0L

print ,'Reading : ',fname
close, 1
openr, 1, fname, /f77_unformatted



readu,1 , nhalo
print,'nhalo : ',nhalo

nbnda=lonarr(nhalo)
massha=lonarr(nhalo)
rvira=fltarr(nhalo)
virma=fltarr(nhalo)
vchaloa=fltarr(nhalo)
xac=fltarr(nhalo)
yac=fltarr(nhalo)
zac=fltarr(nhalo)
xambp=fltarr(nhalo)
yambp=fltarr(nhalo)
zambp=fltarr(nhalo)
vxa=fltarr(nhalo)
vya=fltarr(nhalo)
vza=fltarr(nhalo)


; note : vxa is the velocity averaged over all particles in the linked list


readu, 1,nbnda ; Id ot most bound particle
readu, 1,massha ; number of particles found by the groupfinder
readu, 1,rvira ; virial radius in physical kpc/h
readu, 1,virma ; virial mass in Msun/h
readu, 1,vchaloa ; virial circular velocity in km/s
readu, 1,xac ; comoving position of center of mass SGX in kpc/h (origin = Milky Way)
readu, 1,yac ; --- SGY in kpc/h (origin = Milky Way)
readu, 1,zac ; --- SGZ in kpc/h (origin = Milky Way)
readu, 1,xambp ; comoving position of most bound particle SGX in kpc/h (origin = Milky Way)
readu, 1,yambp ; --- SGY in kpc/h (origin = Milky Way)
readu, 1,zambp ; --- SGY in kpc/h (origin = Milky Way)
readu, 1,vxa ; peculiar velocity of center of mass in km/s
readu, 1,vya ; ---
readu, 1,vza ; ---

close, 1

print, 'Read ...'

print,'min,max nbnda : ',min(nbnda),max(nbnda)
print,'min,max massha : ',min(massha),max(massha)
print,'min,max rvira : ',min(rvira),max(rvira)
print,'min,max virma : ',min(virma),max(virma)
print,'min,max vchaloa : ',min(vchaloa),max(vchaloa)
print,'min,max xac : ',min(xac),max(xac)
print,'min,max yac : ',min(yac),max(yac)
print,'min,max zac : ',min(zac),max(zac)
print,'min,max xambp : ',min(xambp),max(xambp)
print,'min,max yambp : ',min(yambp),max(yambp)
print,'min,max zambp : ',min(zambp),max(zambp)
print,'min,max vxa : ',min(vxa),max(vxa)
print,'min,max vya : ',min(vya),max(vya)
print,'min,max vza : ',min(vza),max(vza)


end
